Bug 144317 - [patch] update astro/viking
Summary: [patch] update astro/viking
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-26 11:00 UTC by Gleb Smirnoff
Modified: 2010-03-12 19:21 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (1.17 KB, patch)
2010-02-26 11:00 UTC, Gleb Smirnoff
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gleb Smirnoff freebsd_committer 2010-02-26 11:00:05 UTC
	Please upgrade astro/viking to newest version - 0.9.91.

	This also fixes dependency on libgps, which was broken on latest update
	of gpsd. The librarys API had changed, and viking caught up on new API in
	version 0.9.91.
Comment 1 Edwin Groothuis freebsd_committer 2010-02-26 11:00:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->glebius

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2010-02-26 11:00:18 UTC
Maintainer of astro/viking,

Please note that PR ports/144317 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/144317

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2010-02-26 11:00:20 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Gleb Smirnoff freebsd_committer 2010-02-26 11:02:10 UTC
Responsible Changed
From-To: glebius->freebsd-ports-bugs

Cool autoassign tool, but I am not ports committer.
Comment 5 Max Brazhnikov freebsd_committer 2010-02-26 12:17:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

Take it.
Comment 6 David Le Brun 2010-03-10 15:39:19 UTC
Hey guys,

Sorry, I'm just back from a sabbatical year and I don't have any FreeBSD
computer ready to test the patch (it should be ok next month).
Anyway I took a look at it and it seems to be ok. Can anyone check it ?

Thanks a lot.
David
Comment 7 dfilter service freebsd_committer 2010-03-12 19:19:23 UTC
makc        2010-03-12 19:19:10 UTC

  FreeBSD ports repository

  Modified files:
    astro/viking         Makefile distinfo pkg-plist 
  Log:
  Update to 0.9.91
  Chase astro/gpsd library version bump.
  
  PR:             based on ports/144317
  Submitted by:   Gleb Smirnoff <glebius at freebsd.org>
  Approved by:    maintainer
  
  Feature safe:   yes
  
  Revision  Changes    Path
  1.11      +2 -3      ports/astro/viking/Makefile
  1.6       +3 -3      ports/astro/viking/distinfo
  1.4       +3 -0      ports/astro/viking/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Max Brazhnikov freebsd_committer 2010-03-12 19:21:30 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!